/***********************************************************************
**                                                                    **
**  textedit.h                                                        **
**                                                                    **
**  Text Editor -- Inter-Module Header File                           **
**                                                                    **
**  Contains external declations for all functions and interesting    **
**  variables.                                                        **
**                                                                    **
***********************************************************************/



/***********************************************************************
**                                                                    **
**       E X T E R N A L   F U N C T I O N   R E F E R E N C E S      **
**                                                                    **
***********************************************************************/

extern	void    InitMenuBar();			/* menu.c	      */

extern	void	InitOther();			/* misc.c	      */
extern	char	*StrFind();

extern	void	InitAlerts();			/* alerts.c	      */
extern	void	AlertFindFailed();

extern	void	InitFiler();			/* filer.c            */
extern	void	FileNew();
extern	void	FileOpen();
extern	void	FileSave();
extern	void	FileSaveAs();

extern	void	InitFindDB();			/* find.c             */
extern	void	ManageFindDB();

extern	void	InitSaveProto();		/* saveproto.c	      */



/***********************************************************************
**                                                                    **
**                  G L O B A L   V A R I A B L E S                   **
**                                                                    **
***********************************************************************/

extern	Widget	appshell,		/* Application Shell          */
		mainwin,		/* XmMainWindow		      */
		menubar,		/* MainWindow Menu Bar	      */
		workwin,		/* MainWindow Work Area       */
		textwin;		/* Work Window XmText widget  */
extern	Arg	arglist[16];		/* For programmatic rsrc stuf */
extern	Boolean	saved;			/* Used for save alert	      */
